Package SimPy :: Module SimGUI

[hide private]
[frames] | no frames]

# Module SimGUI

source code

    SimGUI 1.8  Provides a Tk/Tkinter-based framework for SimPy simulation
    models.

    LICENSE:
    Copyright (C) 2002,2003,2004,2005,2006,2007  Klaus G. Muller, Tony Vignaux
    mailto: kgmuller@xs4all.nl and Tony.Vignaux@vuw.ac.nz

        This library is free software; you can redistribute it and/or
        modify it under the terms of the GNU Lesser General Public
        License as published by the Free Software Foundation; either
        version 2.1 of the License, or (at your option) any later version.

        This library is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
        Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public
        License along with this library; if not, write to the Free Software
        Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    END OF LICENSE

    SimGUI uses a Tkinter-based console for conversing with the Python interpreter,
    developed by Ka-Ping Yee, <ping@lfw.org>.

    **Change history:**
        October through December 2003:
                       Development of SimGUI, with outstanding support by
                       Prof. Simon Frost of University of California, San Diego
                       as co-designer/co-implementor.
                       Simon also contributed the idea of using Ka-Ping Yee's
                       Python interpreter console.

        December 16, 2003:   Completion of 1.4alpha version (fully compatible with
                       SimPy 1.4alpha).

        February 2004: Release as part of SimPy 1.4

Classes | [hide private]

`` | SimGUI
`` | Parameters
`` | Source Source generates customers randomly
`` | Customer Customer arrives, is served and leaves
`` | MyGUI

Functions | [hide private]

`` | NoInSystem(R) The number of customers in the resource R in waitQ and active Q
`` | model()
`` | statistics()
`` | showAuthors()

Variables | [hide private]

`` | __version__ = `'1.8 $Revision: 1.1.1.9 $ $Date: 2007/01/08 14:46:36 $'`
`` | __doc__ = `""" Modified bank11.py (from Bank Tutorial) with GUI...`
`` | root = `Tk()`
`` | gui = `MyGUI(root, title= "SimPy GUI example", doc= __doc__...`
`` | generators = `_Feature((2, 2, 0, 'alpha', 1), (2, 3, 0, 'final', 0...`

Function Details | [hide private]

### NoInSystem(R)

source code

The number of customers in the resource R in waitQ and active Q

### model()

source code

None

### statistics()

source code

None

### showAuthors()

source code

None

Variables Details | [hide private]

### __version__

None

  Value:

        '1.8 $Revision: 1.1.1.9 $ $Date: 2007/01/08 14:46:36 $'

### __doc__

None

  Value:

        """
        Modified bank11.py (from Bank Tutorial) with GUI.

        Model: Simulate customers arriving at random, using a Source, requesti
        ng service
        from two counters each with their own queue with random servicetime.

        Uses Monitor objects to record waiting times and total service times."
        ...

### root

None

  Value:

        Tk()

### gui

None

  Value:

        MyGUI(root, title= "SimPy GUI example", doc= __doc__, consoleHeight= 4
        0)

### generators

None

  Value:

        _Feature((2, 2, 0, 'alpha', 1), (2, 3, 0, 'final', 0), 4096)